<?php
	// easyPages: script for displaying contents in folders in a web page quickly.
	// Author: Jeremy A. Snyder, 27-Aug-2007

	// Currently, this is used to determine the directory the script contained in
	// ... could be manually configured to save the calculation of it on each execution.
	// to manually configure... comment out these lines, and
	$pathArr = explode('/', $_SERVER["SCRIPT_FILENAME"]);
	array_pop($pathArr);
	$startPath = implode("/", $pathArr);
	$startPath .= "/";
	// uncomment and modify this line:
	// $pathArr = "/s2/u2/jsnyder/internal_html/easyPages/";
?>

<html>
<head>
<title><? echo $startPath ?></title>
<style type="text/css">
h1 img {
	margin-right: 5px;
}
.folderList li {
	list-style: none;
}
.folderList li img {
	margin-right: 5px;
	vertical-align: middle;
}
</style>
</head>
<body>
<?php
$validArray = Array();
$invalidArray = Array();
$d = dir($startPath);
// echo "Path: " . $d->path . "\n";
while (false !== ($entry = $d->read())) {
   if ((is_dir($entry)) && ($entry != '.') && ($entry != '..') && ($entry != 'resources')) {
		$pathvar = $startPath . $entry;
		echo "<h1><img src='resources/images/Folder.png' />".$entry."</h1>\n";
		$d2 = dir($pathvar);
		$chk = 0;		
		echo "<ul class='folderList'>";
		while (false !== ($e2 = $d2->read())) {
			// echo "<p>".$e2."</p>\n";
			if (($e2 != '.') && ($e2 != '..')) {
				$name = substr($e2, 0, strlen($e2)-4);
				$ext = substr($e2, -4);
				switch(strtolower($ext)) {
					case '.txt':
						$image = "Text.png";
						break;
					case '.jpg':
					case '.gif':
					case '.png':
						$image = "Image.png";
						break;
					case '.pdf':
						$image = "Pdf.png";
						break;
					case '.doc':
						$image = "Word.png";
						break;
					case '.xls':
						$image = "Excel.png";
						break;
					case '.ppt':
						$image = "Powerpoint.png";
						break;
					case '.mdb':
						$image = "Access.png";
						break;
					case '.htm':
						$image = "Internet.png";
						break;
					default:
						$image = "Blank.png";
				}
				echo "<li><img src='resources/images/".$image."' /><a href='".$entry."/".$e2."'>".$name."</a></li>\n";
			}
		}
		$d2->close();
		echo "</ul>";
   }
}
$d->close();
?>
<p>&nbsp;</p>
<p>&nbsp;</p>
</body>
</html>
